Bug 51409 - Sorting options accepted by ls, but ignored
Summary: Sorting options accepted by ls, but ignored
Status: REOPENED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_ftp (show other bugs)
Version: 2.2.15
Hardware: PC All
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate, PatchAvailable
Depends on:
Blocks: 63978
  Show dependency tree
 
Reported: 2011-06-21 16:09 UTC by Mikhail T.
Modified: 2019-11-30 17:26 UTC (History)
0 users



Attachments
Add support for some of the sorting options commong to Unix ls: -S, -c, -t, -u, and -r (8.52 KB, patch)
2011-06-22 07:20 UTC, Mikhail T.
Details | Diff
An improved patch (8.50 KB, patch)
2011-06-22 16:49 UTC, Mikhail T.
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail T. 2011-06-21 16:09:41 UTC
Some of our scripts perform `ls -t' and delete all but the most recent entry.

After switching to mod_ftp these scripts are broken, because the -t option is ignored. Passing the option should either return an error, or be honored...

At this time, apparently, there is no way to sort the output of ls (except on the client side). That's bad enough. The server quietly ignoring the sorting request makes things worse.
Comment 1 Mikhail T. 2011-06-22 07:20:48 UTC
Created attachment 27192 [details]
Add support for some of the sorting options commong to Unix ls: -S, -c, -t, -u, and -r

This changes the method, with which command-line is parsed in common_list, to allow arbitrary options.

The recognition for the following options is provided (in addition to -l): -S (sort by size, bigger files first); -t, -c, and -u (mtime, ctime, and atime respectively, more recent first); -r (reverse the sorting order).
Comment 2 Mikhail T. 2011-06-22 16:49:08 UTC
Created attachment 27195 [details]
An improved patch

This version cleans-up commented-out debugging code and makes the little number-comparison functions work even in cases, when the difference between the compared values could exceed INT_MAX.
Comment 3 William A. Rowe Jr. 2011-06-22 21:04:32 UTC
I will need to confirm unknown flag behavior against a few other servers.
Comment 4 Mikhail T. 2011-06-22 21:12:59 UTC
The unknown flag behavior is really a minor aspect of the issue. If need be, the reaction to unrecognized flags can be a configuration option (ignore or error-out).

But the actual (im)possibility to sort output is important enough for my client, for example, to now consider abandoning mod_ftp in favor of some other FTP-server...
Comment 5 William A. Rowe Jr. 2018-11-07 21:08:19 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.
Comment 6 Mikhail T. 2019-10-29 17:34:35 UTC
If mod_ftp works with httpd-2.4, than the problem is still there.